Summary
Get Device Backup List
Description
Fetches backups, requires an options payload. An empty option payload will return the first 25 documents
Route
POST /configuration_manager/backups
Roles
admin
apiread
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| options |
object |
yes |
options payload for querying backup documents |
Copied to Clipboard
{
"options": {
"start": 0,
"limit": 20,
"regex": false,
"filter": {
"name": "voluptate Duis tempor velit"
},
"sort": {
"name": -1,
"date": -1
}
}
}
Copied to Clipboard
{
"type": "object",
"properties": {
"options": {
"title": "options",
"type": "object",
"properties": {
"start": {
"type": "integer",
"minimum": 0,
"examples": [
0
]
},
"limit": {
"type": "integer",
"minimum": 1,
"examples": [
20
]
},
"regex": {
"type": "boolean"
},
"filter": {
"type": "object",
"properties": {
"name": {
"type": "string"
}
}
},
"sort": {
"type": "object",
"properties": {
"name": {
"enum": [
-1,
1
]
},
"date": {
"enum": [
-1,
1
]
}
}
}
}
}
},
"required": [
"options"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| backups |
object |
List of all backups and the total |
Copied to Clipboard
{
"total": 96598816,
"list": [
{
"id": "5c35355dbebaa82eaf8113f0",
"name": "xr9kv-atl",
"provider": "Duis minim",
"type": "native",
"date": "2019-04-12T14:42:47.958Z",
"rawConfig": "hostname ios0\nno service password-encryption\n...",
"description": "description of backup",
"notes": "notes about backup",
"gbac": {
"write": [
"e1648024e826fc776cb3bf47"
],
"read": [
"3ea614a8fa97110aab654b24",
"b033c6e364404d5592752bd0"
]
}
},
{
"id": "5c35355dbebaa82eaf8113f0",
"name": "xr9kv-atl",
"provider": "sunt sit Excepteur ut fugiat",
"type": "native",
"date": "2019-04-12T14:42:47.958Z",
"rawConfig": "hostname ios0\nno service password-encryption\n...",
"description": "description of backup",
"notes": "notes about backup",
"gbac": {
"write": [
"f97f3a2deb4b9bb3a7c83cc1",
"e11e304dc3eaa31e90dc2243"
],
"read": [
"656790d8d6008da2d4eee9c2",
"90f17ac498e1eb42ea79b799"
]
}
},
{
"id": "5c35355dbebaa82eaf8113f0",
"name": "xr9kv-atl",
"provider": "in tempor eiusmod magna",
"type": "native",
"date": "2019-04-12T14:42:47.958Z",
"rawConfig": "hostname ios0\nno service password-encryption\n...",
"description": "description of backup",
"notes": "notes about backup",
"gbac": {
"write": [
"d235d980c38e3d6d3ea7c017",
"e53401db2d16bbff331c88ff",
"d25db97c19d6526300dc9150"
],
"read": [
"de077f6ff2246ef1e36caba4",
"5d3d6b9dcd4d0cf4cf84f1ee"
]
}
},
{
"id": "5c35355dbebaa82eaf8113f0",
"name": "xr9kv-atl",
"provider": "aute elit Ut",
"type": "native",
"date": "2019-04-12T14:42:47.958Z",
"rawConfig": "hostname ios0\nno service password-encryption\n...",
"description": "description of backup",
"notes": "notes about backup",
"gbac": {
"write": [
"5ddd7e79bdc5c0899e9a702d",
"90751d65c19b296b050a7f55"
],
"read": [
"186ba8c2059f7f25aa583454"
]
}
},
{
"id": "5c35355dbebaa82eaf8113f0",
"name": "xr9kv-atl",
"provider": "Duis aliquip sed voluptate aute",
"type": "native",
"date": "2019-04-12T14:42:47.958Z",
"rawConfig": "hostname ios0\nno service password-encryption\n...",
"description": "description of backup",
"notes": "notes about backup",
"gbac": {
"write": [
"b517d849549e5ea6f75f5e76",
"e2ad47f5fcfea68654f97978",
"06ec667af752089db12b83bd"
],
"read": [
"62b08119d0d41e280a8ff0c6",
"5dea40af148f84e6645df710"
]
}
}
]
}
Copied to Clipboard
{
"title": "backups",
"type": "object",
"properties": {
"total": {
"type": "integer",
"minimum": 0
},
"list": {
"type": "array",
"items": {
"$ref": "deviceData#/definitions/backup"
}
}
}
}